Name:           git-bugzilla
Version:        0
Release:        0.19.20091211git%{?dist}
Summary:        Attach patches to a bugzilla bug

Group:          Development/Tools
License:        GPLv2+
URL:            http://git.collabora.co.uk/?p=user/cassidy/git-bugzilla
# wget -O git-bugzilla-fc2be92.tar.gz \
# 'http://git.collabora.co.uk/?p=user/cassidy/git-bugzilla;a=snapshot;h=fc2be92;sf=tgz'
Source0:        %{name}-fc2be92.tar.gz
Patch0:         0001-Do-not-default-to-GNOME-bugzilla.patch
Patch1:         0002-Fix-a-warning-about-uninitialized-value.patch
Patch2:         0003-Attach-git-am-able-patches.patch
Patch3:         ersek-authenticate-fix-bugzilla.redhat.com-issues-4.4.x.patch

BuildRequires:  asciidoc
#BuildRequires:  perl-generators
BuildRequires:  xmlto
Requires:       git-core
Requires:       perl(WWW::Mechanize)
Requires:       perl(Crypt::SSLeay)
Requires:       perl(LWP::Protocol::https)
BuildArch:      noarch

%description
Add commits as attachments to a Bugzilla bug.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .gnome
%patch1 -p1 -b .warn
%patch2 -p1 -b .gitam
%patch3 -p1 -b .ersek


%build
make %{?_smp_mflags} all doc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
make -C docs install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}



%files
%{_bindir}/git-send-bugzilla
%{_mandir}/man1/git-send-bugzilla.1*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.19.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 09 2014 Matej Cepl <mcepl@redhat.com> - 0-0.13.20091211git
- Fix login to Bugzilla 4.4.* (patch by Laszlo Ersek, thank you)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0-0.10.20091211git
- Perl 5.18 rebuild

* Wed May 15 2013 Matěj Cepl <mcepl@redhat.com> - 0-0.9.20091211git
- add Requires: perl(LWP::Protocol::https) (RHBZ# 960289)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20091211git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0-0.4.20091211git
- Attach git-am -able patches

* Sun Feb 21 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0-0.3.20091211git
- Require Crypt::SSLeay (Bruce Cowan, #559898)

* Sat Dec 19 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0-0.2.20091211git
- Add missing Require
- Do not default to GNOME bugzilla
- Fix a subtle warning
- Use upstream generated tarball

* Fri Dec 11 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0-0.1.20091211git
- Initial packaging
